## friso 1.6.4+ds

=== debian/changelog ===
friso (1.6.4+ds-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + friso-dict: Add Multi-Arch: foreign.

  * debian/control
    - Bump Standards-Version to 4.7.2. No changes are required.
  * debian/friso-dict.lintian-overrides
    - Fix mismatched overrides

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 16 Mar 2025 17:13:48 +0900

friso (1.6.4+ds-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 27 Nov 2021 21:23:06 +0900

friso (1.6.4+ds-1) unstable; urgency=medium

  * Initial release (Closes: #982836)

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 12 Feb 2021 17:50:48 +0900
