=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/lionsoul2014/friso
 Vcs-Browser: https://salsa.debian.org/debian/friso
@@ -52,6 +52,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Multi-Arch: foreign
 Description: Chinese word splitter dictionary package
  Friso is an open source high performance Chinese word splitter.
  Friso uses the popular mmseg algorithm.
