=== debian/tests/control ===
Tests: wo-dao-beijing
Depends: friso, friso-dict, libfriso0, expect
